//删除左右两端的空格   
function trim(str){  
        return str.replace(/(^\s*)|(\s*$)/g, "");   
}

  	
//只能输入数字和小数点      
function clearNoNum(obj)
 {
   obj.value = obj.value.replace(/[^\d.]/g,"");  //清除“数字”和“.”以外的字符
   obj.value = obj.value.replace(/^\./g,"");  //验证第一个字符是数字而不是.
   obj.value = obj.value.replace(/\.{2,}/g,"."); //只保留第一个. 清除多余的.
   obj.value = obj.value.replace(".","$#$").replace(/\./g,"").replace("$#$",".");
 }
 
 //限制输入的字符
function getLengthCheck(id,length){
	    var text=document.getElementById(id).value;
	    var len = text.length;	   
	    if(len>length){   
    		document.getElementById(id).value = text.substring(0,length);
    		document.getElementById(id).focus();
            alert("您的输入已经达到最大长度，您最多可输入"+length+"字符!");
            return false;
	    }
	}